com.salesforce.hyperdb.grpc

## Class HyperServiceGrpc.HyperServiceBlockingStub

- java.lang.Object
- - io.grpc.stub.AbstractStub<S>
  - - io.grpc.stub.AbstractBlockingStub<HyperServiceGrpc.HyperServiceBlockingStub>
    - - com.salesforce.hyperdb.grpc.HyperServiceGrpc.HyperServiceBlockingStub

Enclosing class:
  HyperServiceGrpc

    public static final class HyperServiceGrpc.HyperServiceBlockingStub
    extends io.grpc.stub.AbstractBlockingStub<HyperServiceGrpc.HyperServiceBlockingStub>

A stub to allow clients to do synchronous rpc calls to service HyperService.

### Nested Class Summary

### Nested classes/interfaces inherited from class io.grpc.stub.AbstractStub

`io.grpc.stub.AbstractStub.StubFactory<T extends io.grpc.stub.AbstractStub<T>>`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected HyperServiceGrpc.HyperServiceBlockingStub` `build(io.grpc.Channel channel, io.grpc.CallOptions callOptions)`
`com.google.protobuf.Empty` `cancelQuery(CancelQueryParam request)`
`Iterator<ExecuteQueryResponse>` `executeQuery(QueryParam request)`
`Iterator<QueryInfo>` `getQueryInfo(QueryInfoParam request)`
`Iterator<QueryResult>` `getQueryResult(QueryResultParam request)`

### Methods inherited from class io.grpc.stub.AbstractBlockingStub

`newStub, newStub`

### Methods inherited from class io.grpc.stub.AbstractStub

`getCallOptions, getChannel, withCallCredentials, withChannel, withCompression, withDeadline, withDeadlineAfter, withExecutor, withInterceptors, withMaxInboundMessageSize, withMaxOutboundMessageSize, withOnReadyThreshold, withOption, withWaitForReady`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### build

    protected HyperServiceGrpc.HyperServiceBlockingStub build(io.grpc.Channel channel,
                                                              io.grpc.CallOptions callOptions)

Specified by:
  `build` in class `io.grpc.stub.AbstractStub<HyperServiceGrpc.HyperServiceBlockingStub>`

#### executeQuery

    public Iterator<ExecuteQueryResponse> executeQuery(QueryParam request)

#### getQueryResult

    public Iterator<QueryResult> getQueryResult(QueryResultParam request)

#### getQueryInfo

    public Iterator<QueryInfo> getQueryInfo(QueryInfoParam request)

#### cancelQuery

    public com.google.protobuf.Empty cancelQuery(CancelQueryParam request)